Compatibilidad del explorador

Este sistema esta diseñado para funcionar con Mozilla Firefox v53 y superior, también en la ultima versión de Google Chrome y de Internet Explorer

Algunas funciones puede que no funcionen adecuadamente con Microsoft Edge o Apple Safari, desaconsejamos su uso.

Todos los datos del DelphiManager son guardados en un servidor seguro del centro de datos de la Universidad de Liverpool. Para mas información contáctenos delphimg@liverpool.ac.uk